<?php
/**
 * @file
 * Field handler to present a flag page link
 */
class views_handler_field_flag_page_link extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['url'] = 'url';
    $this->additional_fields['title'] = 'title';
  }


  function render($values) {
    $url = $values->{$this->aliases['url']};
    $title = check_plain($values->{$this->aliases['title']});
    return l($title, $url, array('class' => 'flag_page_link'));
  }

  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }
}